import types from '../../types';


export function updateTreeValue()
{
    return {type:types.SWIFT_UPDATE_TREE_VALUE}
}

export function updateRcvBic(rcv_bic_info)
{
    return {type:types.SWIFT_UPDATE_RCV_BIC,payload:{rcv_bic_info}}
}
export function updateSndBic(snd_bic_info)
{
    return {type:types.SWIFT_UPDATE_SND_BIC,payload:{snd_bic_info}}
}
export function initSwiftMessageTree(tree)
{
    return {type:types.SWIFT_INIT_TREE_VALUE,payload:{tree}}
}

export function updateSwiftMessage(swift_message)
{
    return {type:types.SWIFT_UPDATE_SWIFT_MESSAGE,payload:{swift_message}}
}

export function initGpiConf(conf)
{
    return {type:types.SWIFT_INIT_GPI_CONF,payload:{conf}}
}